Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc2.schema
Class PartitionedTableCache

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.ejb.plugins.cmp.jdbc2.schema.PartitionedTableCache

All Implemented Interfaces:
  Cache, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, PartitionedTableCacheMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class PartitionedTableCache
extends org.jboss.system.ServiceMBeanSupport
implements Cache, PartitionedTableCacheMBean

Version:
  `$Revision: 1.4.2.2 $`
Author:
  Alexey Loubyansky

Nested Class Summary

Nested classes inherited from class org.jboss.ejb.plugins.cmp.jdbc2.schema.Cache
`Cache.CacheLoader, Cache.Listener, Cache.RemoveException`

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.ejb.plugins.cmp.jdbc2.schema.Cache
`NONE`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`PartitionedTableCache(int minCapacity, int maxCapacity, int partitionsTotal)`

Method Summary
`boolean` | `contains(Transaction tx, Object pk)`
`void` | `flush()`
`Object[]` | `getFields(Object pk)`
`int` | `getMaxCapacity()`
`int` | `getMaxPartitionCapacity()`
`int` | `getMinCapacity()`
`int` | `getMinPartitionCapacity()`
`int` | `getPartitionsTotal()`
`Object[]` | `getRelations(Object pk)`
`void` | `lock()`
`void` | `lock(Object key)`
`void` | `lockForUpdate(Transaction tx, Object pk)`
`void` | `put(Transaction tx, Object pk, Object[] fields, Object[] relations)`
`void` | `registerListener(Cache.Listener listener)`
`void` | `releaseLock(Transaction tx, Object pk)`
`void` | `remove(Transaction tx, Object pk)`
`void` | `setMaxCapacity(int maxCapacity)`
`int` | `size()`
`void` | `unlock()`
`void` | `unlock(Object key)`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### PartitionedTableCache

    public PartitionedTableCache(int minCapacity,
                                 int maxCapacity,
                                 int partitionsTotal)

Method Detail

### registerListener

    public void registerListener(Cache.Listener listener)

  Specified by:
    `registerListener` in interface `PartitionedTableCacheMBean`

### size

    public int size()

  Specified by:
    `size` in interface `PartitionedTableCacheMBean`

### getMaxCapacity

    public int getMaxCapacity()

  Specified by:
    `getMaxCapacity` in interface `PartitionedTableCacheMBean`

### setMaxCapacity

    public void setMaxCapacity(int maxCapacity)

  Specified by:
    `setMaxCapacity` in interface `PartitionedTableCacheMBean`

### getMinCapacity

    public int getMinCapacity()

  Specified by:
    `getMinCapacity` in interface `PartitionedTableCacheMBean`

### getPartitionsTotal

    public int getPartitionsTotal()

  Specified by:
    `getPartitionsTotal` in interface `PartitionedTableCacheMBean`

### getMinPartitionCapacity

    public int getMinPartitionCapacity()

  Specified by:
    `getMinPartitionCapacity` in interface `PartitionedTableCacheMBean`

### getMaxPartitionCapacity

    public int getMaxPartitionCapacity()

  Specified by:
    `getMaxPartitionCapacity` in interface `PartitionedTableCacheMBean`

### lock

    public void lock()

  Specified by:
    `lock` in interface `Cache`

### lock

    public void lock(Object key)

  Specified by:
    `lock` in interface `Cache`

### unlock

    public void unlock()

  Specified by:
    `unlock` in interface `Cache`

### unlock

    public void unlock(Object key)

  Specified by:
    `unlock` in interface `Cache`

### getFields

    public Object[] getFields(Object pk)

  Specified by:
    `getFields` in interface `Cache`

### getRelations

    public Object[] getRelations(Object pk)

  Specified by:
    `getRelations` in interface `Cache`

### put

    public void put(Transaction tx,
                    Object pk,
                    Object[] fields,
                    Object[] relations)

  Specified by:
    `put` in interface `Cache`

### remove

    public void remove(Transaction tx,
                       Object pk)

  Specified by:
    `remove` in interface `Cache`

### contains

    public boolean contains(Transaction tx,
                            Object pk)

  Specified by:
    `contains` in interface `Cache`

### lockForUpdate

    public void lockForUpdate(Transaction tx,
                              Object pk)
                       throws Exception

  Specified by:
    `lockForUpdate` in interface `Cache`
  Throws:
    `Exception`

### releaseLock

    public void releaseLock(Transaction tx,
                            Object pk)
                     throws Exception

  Specified by:
    `releaseLock` in interface `Cache`
  Throws:
    `Exception`

### flush

    public void flush()

  Specified by:
    `flush` in interface `Cache`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.